Page MenuHomePhabricator

1.36.0-wmf.16 deployment blockers
Closed, ResolvedPublicRelease

Details

Other Assignee
dancy
Release Version
1.36.0-wmf.16
Release Date
Nov 2 2020, 12:00 AM

2020 week 45 1.36-wmf.16 Changes wmf/1.36.0-wmf.16

This MediaWiki Train Deployment is scheduled for the week of Monday, November 2nd:

Monday November 2ndTuesday, November 3rdWednesday, November 4thThursday, November 5thFriday
Backports only.Branch wmf.16 and deploy to Group 0 Wikis.Deploy wmf.16 to Group 1 Wikis.Deploy wmf.16 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.16 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward. This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • If you have a risky change in this week's train add a comment to this task using the Risky patch template
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.36.0-wmf.15
Next: 1.36.0-wmf.17

Event Timeline

thcipriani triaged this task as Medium priority.
thcipriani updated Other Assignee, added: dancy.

Please be aware of the following errors that started showing up in beta logstash this week, might show up in production after the train

T267033: CommonsMetadata bad wfTimestamp call
T267035: Call to undefined method MediaWiki\Extension\DiscussionTools\HeadingItem::addWarning()

Noting on this ticket that our deployment plan for the week has changed, due to US Election Day holiday. Tyler's mail to wikitech-l:

Hi all,

We've entered that special time of year where the weekly deployment train has a few disruptions coming up.

I've added a list of train disruptions through the end of the year to the Deployments page on Wikitech[0].

Next week's train will happen, but the schedule will be different allowing for a Tuesday holiday:

  • Wed, 04 Nov 2020 noon PST: 1.36.0-wmf.16 Group0
  • Thu, 05 Nov 2020 noon PST: 1.36.0-wmf.16 Group1
  • Mon, 09 Nov 2020 noon PST: 1.36.0-wmf.16 Group2

Train will resume on the week of 2020-11-17 with 1.36.0-wmf.18.

As always, the Deployment Calendar on Wikitech[0] is the best source for this information.

Thanks all

Change 638236 had a related patch set uploaded (by DannyS712; owner: trainbranchbot):
[mediawiki/core@wmf/1.36.0-wmf.16] Branch commit for wmf/1.36.0-wmf.16

https://gerrit.wikimedia.org/r/638236

The wmf/1.36.0-wmf.16 branch of mediawiki-core appears to be missing .gitmodules at the moment, and broken in several other ways (includes its own copy of vendor instead of using mediawiki-vendor, is missing extensions and skins, etc).

When it's created, the Parsoid team needs to ensure that parsoid 0.13.0-a15 is included, that is, mediawiki/vendor should include https://gerrit.wikimedia.org/r/c/mediawiki/vendor/+/638520

(That's commit 9807944c4712da23b3a8226ede1641a87b71602c on the wmf/1.36.0-wmf.16 branch of mediawiki-vendor.)

Change 638236 merged by jenkins-bot:
[mediawiki/core@wmf/1.36.0-wmf.16] Branch commit for wmf/1.36.0-wmf.16

https://gerrit.wikimedia.org/r/638236

We've hit today's 15:00 PST deployment cutoff. Train can resume again in US morning.

To summarize current state: patches wait review on T266311 and T267091; no movement on T267033.

Mentioned in SAL (#wikimedia-operations) [2020-11-05T17:41:10Z] <brennen> train is currently unblocked; rolling to group0 (T263182)

Mentioned in SAL (#wikimedia-operations) [2020-11-05T23:44:00Z] <brennen@deploy1001> Started scap: Synchronizing to pick up i18n for [[gerrit:639505]]. Will resume moving train to group1 on Monday morning (US) (T263182)

Mentioned in SAL (#wikimedia-operations) [2020-11-06T00:52:59Z] <brennen@deploy1001> Finished scap: Synchronizing to pick up i18n for [[gerrit:639505]]. Will resume moving train to group1 on Monday morning (US) (T263182) (duration: 69m 02s)

Current status: Deployed to all wikis and expected to stay there, with the footnote that @cscott has some patches in the works for reducing deprecation logspam:

Also noting that https://gerrit.wikimedia.org/r/c/operations/mediawiki-config/+/635086 will wait 'til we're sure wmf.16 is stable.

I missed T267614 in the shuffle yesterday afternoon. After discussion on IRC: We'll backport @cscott's fix shortly, before resolving this ticket.